echo OFF

set OUTPUTFILE=%UserProfile%\Desktop\DoricoDiagnosticsReport.zip
del OUTPUTFILE >NUL 2>NUL

set INPUTDIR1="%APPDATA%\Steinberg\Dorico 4"
set INPUTDIR2="%APPDATA%\Steinberg\Dorico 4 AudioEngine_64"
set INPUTDIR3="%APPDATA%\Steinberg\Activation Manager"
set INPUTDIR4="%UserProfile%\Documents\Steinberg\CrashDumps\Steinberg Activation Manager*.*"
set INPUTDIR5="%UserProfile%\Documents\Steinberg\CrashDumps\Dorico*.*"
set INPUTDIR6="%UserProfile%\Documents\Steinberg\CrashDumps\VSTAudioEngine*.*"
set INPUTDIR7="%UserProfile%\Documents\Steinberg\CrashDumps\vstscanner*.*"

set TEMPDIR=%UserProfile%\Desktop\DoricoTempInfo
rmdir /s /q %TEMPDIR% >NUL 2>NUL
mkdir %TEMPDIR% >NUL 2>NUL
mkdir "%TEMPDIR%\Dorico"
mkdir "%TEMPDIR%\VSTAudioEngine"
mkdir "%TEMPDIR%\Activation Manager"
mkdir "%TEMPDIR%\CrashDumps"

xcopy /s %INPUTDIR1% "%TEMPDIR%\Dorico" >NUL 2>NUL
xcopy /s %INPUTDIR2% "%TEMPDIR%\VSTAudioEngine" >NUL 2>NUL
xcopy /s %INPUTDIR3% "%TEMPDIR%\Activation Manager" >NUL 2>NUL
xcopy /s %INPUTDIR4% "%TEMPDIR%\CrashDumps" >NUL 2>NUL
xcopy /s %INPUTDIR5% "%TEMPDIR%\CrashDumps" >NUL 2>NUL
xcopy /s %INPUTDIR6% "%TEMPDIR%\CrashDumps" >NUL 2>NUL
xcopy /s %INPUTDIR7% "%TEMPDIR%\CrashDumps" >NUL 2>NUL

echo Set objArgs = WScript.Arguments > _zipIt.vbs
echo InputFolder = objArgs(0) >> _zipIt.vbs
echo ZipFile = objArgs(1) >> _zipIt.vbs
echo CreateObject("Scripting.FileSystemObject").CreateTextFile(ZipFile, True).Write "PK" ^& Chr(5) ^& Chr(6) ^& String(18, vbNullChar) >> _zipIt.vbs
echo Set objShell = CreateObject("Shell.Application") >> _zipIt.vbs
echo Set source = objShell.NameSpace(InputFolder).Items >> _zipIt.vbs
echo objShell.NameSpace(ZipFile).CopyHere(source) >> _zipIt.vbs
echo wScript.Sleep 2000 >> _zipIt.vbs

CScript  _zipIt.vbs  %TEMPDIR%  %OUTPUTFILE%

rmdir /s /q %TEMPDIR% >NUL 2>NUL
del .\_zipIt.vbs  >NUL 2>NUL

echo Done, wrote DoricoDiagnosticsReport.zip to your Desktop
